Bug 99034 - New port: security/trans-proxy-tor a transparant proxy to redirect TCP connections through Tor
Summary: New port: security/trans-proxy-tor a transparant proxy to redirect TCP connec...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-16 14:30 UTC by Fabian Keil
Modified: 2006-07-22 10:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2006-06-16 14:30:20 UTC
trans-proxy-tor is a transparent proxy
that uses PF to redirect TCP connections
through Tor (http://tor.eff.org/).

Programs that aren't aware of Tor
will use it without their knowledge,
and their traffic no longer leaves the
system unencrypted.

Fix: 

http://www.fabiankeil.de/sourcecode/freebsd/trans-proxy-tor-0.0.9.shar
(I filed another PR for dns-proxy-tor, which is a dependency)
Comment 1 Martin Wilke freebsd_committer 2006-07-20 09:46:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2006-07-22 10:57:30 UTC
State Changed
From-To: open->closed

New port added. Thanks!